GET /api/v3/savings/adjustedCostType

Retrieves the available adjusted cost types for cost avoidance calculations

GetSavingsAdjustedCostTypeListV3 Permissions: Meters (View)
Use this endpoint to get the cost type options used in savings calculations. Currently returns “Current Average Unit Cost” and “Net Cost Difference”. Requires Meters View permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

AdjustedCostTypeResponse
Property Description Type
adjustedCostTypeCode Adjusted Cost Type code string
adjustedCostTypeId Adjusted Cost Type identifier integer (int32)
adjustedCostTypeInfo Adjusted Cost Type name string
Example Response application/json
[
  {    "adjustedCostTypeCode": "string",    "adjustedCostTypeId": 1,    "adjustedCostTypeInfo": "string"
  }
]